--- title: "Add assignment IP ACL" slug: "add-assignment-ip-acls" updated: 2026-09-17T10:05:35Z published: 2026-09-17T10:05:35Z canonical: "api.ncloud-docs.com/add-assignment-ip-acls" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Add assignment IP ACL Available in Classic and VPC Add an IP ACL to an assignment. Note Up to 5 IP ACLs can be added for a single assignment. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/assignments/{assignmentId}/ip-acls | ### Request headers For information about the headers common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On request headers](/docs/en/single-sign-on-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `assignmentId` | String | Required | Assignment ID - See [Get assignment list](/docs/en/get-assignments). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `consoleAccessAllowed` | Boolean | Required | Whether to allow console access - `true` \| `false` - `true`: Allow - `false`: Not allow | | `consoleAccessRestricted` | Boolean | Optional | Whether to restrict console access - `true` \| `false` - `true`: Restrict - `false`: Do not restrict - Apply only when the `consoleAccessAllowed` configuration value is `true`. | | `consoleAccessIpAclIds` | Array | Optional | List of console-accessible IP ACL IDs - See [Get IP ACL list](/docs/en/get-ip-acls). - Can't be set if `consoleAccessRestricted` is `false`. | | `apiAccessAllowed` | Boolean | Required | Whether to allow API Gateway access - `true` \| `false` - `true`: Allow - `false`: Not allow | | `apiAccessRestricted` | Boolean | Optional | Whether to restrict API Gateway access - `true` \| `false` - `true`: Restrict - `false`: Do not restrict - Apply only when the `apiAccessAllowed` configuration value is `true`. | | `apiAccessIpAclIds` | Array | Optional | List of API Gateway-accessible IP ACL IDs - See [Get IP ACL list](/docs/en/get-ip-acls). - Can't be set if `apiAccessRestricted` is `false`. | ### Request example The request example is as follows: ``` curl --location --request POST 'https://sso.apigw.ntruss.com/api/v1/assignments/2c15b16c-****-****-****-3e7207ff2bf6/ip-acls' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --data '{ "consoleAccessAllowed": true, "consoleAccessRestricted": true, "consoleAccessIpAclIds": [ "5bf4cad0-****-****-****-cd51bba3fe23" ], "apiAccessAllowed": true, "apiAccessRestricted": true, "apiAccessIpAclIds": [ "5bf4cad0-****-****-****-cd51bba3fe23" ] }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | String | - | Assignment ID | | `nrn` | String | - | NAVER Cloud Platform resource identification value for assignment | | `success` | Boolean | - | API processing result | ### Response status codes For information about the response status codes common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On response status codes](/docs/en/single-sign-on-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "id": "2c15b16c-****-****-****-3e7207ff2bf6", "nrn": "nrn:PUB:SSO::*******:Assignment/2c15b16c-****-****-****-3e7207ff2bf6", "success": true } ```